Subject: Re: git-shortlog mailmap

From: Jakub Narebski <[email-masked]>
Date: Thu, 26 Oct 2006 14:41:38 +0200

Petr Baudis wrote:

> I think I've complained about this in the past, but can't find the mail.
> 
> Dear diary, on Thu, Oct 26, 2006 at 11:25:50AM CEST, I got a letter
> where Jakub Narebski <[email-masked]> said that...
>> Johannes Schindelin wrote:
>> 
>> > BTW what happened to the builtin shortlog? It is the last Perl script I 
>> > use regularly... (should make people happy who are stuck with Activision 
>> > Perl...)
>> 
>> BTW. both Perl version and builtin shorlog have email->real name translation
>> table built in. In Perl script version it is in __DATA__ section, and we
>> could update it using Inline::Files module, in C version it was in table.
>> But in fact this list is project specific. Shouldn't we make it customizable
>> (::sigh::, yet another file in $GIT_DIR...).
> 
> I really dislike the fact that we _do_ this mapping at all, this seems
> so much a totally wrong point at which to do it. The information tracked
> in Git is still wrong and all the tools except shortlog still display it
> wrong - why should shortlog in particular be special? Why don't we do
> this at the git-am time instead?

Because git-shortlog has to deal also with _historical_ data, which caused
one way or the other to have only email and not realname recorded. So till
history gets rewritteen, and tags resigned, git-shortlog has to do the
mapping to have meaningfull output.
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git